var rentaPremiumService = function($filter, $http, $q, feesValidateService, terminosService) {

	return {
		
	    generaObjeto: function(minimos, tablaRelease, tablaPrecios, tablaRevenue, idsRel, idsRelEli){	    	
	    	  	    		    	 
	    	var terminos = {										
					"releaseL"     : terminosService.crearMatriz(tablaRelease),				
					"revenueL"     : terminosService.crearMatriz(tablaRevenue),
					"precioL"      : terminosService.crearMatriz(tablaPrecios),										
					"minimos"      : {
						minimosCa   :  minimos.minimos,
						minimosAn   :  minimos.minimosAnio,
				    	anios       :  minimos.aniosMin,
				    	tipoMin     :  minimos.tipoMin			
					},
					"comun"        :{
						 tipoCambio  : $("#tipoCambio").val(),
						 inflacion   : $("#inflacionTx").val() == "" ? null : $("#inflacionTx").val(),
						 fechaInicio : null,
						 fechaFin	 : null						
					}
			}	    		    		    	
	    	return terminos;
	    }	    	    		    	    	    	    	    	    	    	   
	 };	
};

registraService("rentaPremiumService", rentaPremiumService);